"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var validators_exports = {};
__export(validators_exports, {
  closesOpenedTag: () => closesOpenedTag,
  isSelfClosingTag: () => isSelfClosingTag,
  isValidAttributeName: () => isValidAttributeName,
  isValidAttributeNameWithNamespace: () => isValidAttributeNameWithNamespace,
  isValidTagName: () => isValidTagName
});
module.exports = __toCommonJS(validators_exports);
var import_regex = require("../constants/regex");
function closesOpenedTag(currentTag, openedTagname) {
  const regex = new RegExp(`^</${openedTagname}\\s*>$`, "g");
  return regex.test(currentTag);
}
function isSelfClosingTag(tag) {
  return import_regex.SELF_CLOSING_TAG_REGEX.test(tag);
}
function isValidAttributeNameWithNamespace(attName) {
  const attWithNamespace = attName.split(":");
  if (attWithNamespace.length > 2) {
    return false;
  }
  return attName;
}
function isValidAttributeName(attName) {
  return import_regex.ATTRIBUTE_NAME_VALIDATOR_REGEX.test(attName);
}
function isValidTagName(attName) {
  return import_regex.TAG_NAME_VALIDATOR_REGEX.test(attName);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  closesOpenedTag,
  isSelfClosingTag,
  isValidAttributeName,
  isValidAttributeNameWithNamespace,
  isValidTagName
});
//# sourceMappingURL=validators.js.map