import { ATTRIBUTE_NAME_VALIDATOR_REGEX, SELF_CLOSING_TAG_REGEX, TAG_NAME_VALIDATOR_REGEX } from "../constants/regex";
function closesOpenedTag(currentTag, openedTagname) {
  const regex = new RegExp(`^</${openedTagname}\\s*>$`, "g");
  return regex.test(currentTag);
}
function isSelfClosingTag(tag) {
  return SELF_CLOSING_TAG_REGEX.test(tag);
}
function isValidAttributeNameWithNamespace(attName) {
  const attWithNamespace = attName.split(":");
  if (attWithNamespace.length > 2) {
    return false;
  }
  return attName;
}
function isValidAttributeName(attName) {
  return ATTRIBUTE_NAME_VALIDATOR_REGEX.test(attName);
}
function isValidTagName(attName) {
  return TAG_NAME_VALIDATOR_REGEX.test(attName);
}
export {
  closesOpenedTag,
  isSelfClosingTag,
  isValidAttributeName,
  isValidAttributeNameWithNamespace,
  isValidTagName
};
//# sourceMappingURL=validators.mjs.map